LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::presentation::TextAnimationType Constant Group Reference

Defines how a target com::sun::star::text::XTextRange is animated inside an com::sun::star::animations::XIterateContainer. More...

## Variables
const short | BY_PARAGRAPH = 0
| the text is animated paragraph by paragraph More...
const short | BY_WORD = 1
| the text is animated word by word More...
const short | BY_LETTER = 2
| the text is animated letter by letter. More...

## Detailed Description

Defines how a target com::sun::star::text::XTextRange is animated inside an com::sun::star::animations::XIterateContainer.

This is stored inside the attribute com::sun::star::animations::XIterateContainer::IterateType.

See also
  com::sun::star::animations::XIterateContainer

## Variable Documentation

## ◆ BY_LETTER

const short BY_LETTER = 2

the text is animated letter by letter.

## ◆ BY_PARAGRAPH

const short BY_PARAGRAPH = 0

the text is animated paragraph by paragraph

## ◆ BY_WORD

const short BY_WORD = 1

the text is animated word by word